Bug 1416464 - gnome-session-failed eats all available CPU
Summary: gnome-session-failed eats all available CPU
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-session
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-25 14:58 UTC by Tomasz Kłoczko
Modified: 2017-02-06 04:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-06 04:03:57 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomasz Kłoczko 2017-01-25 14:58:49 UTC
After upgrade few days ago seems like gnome-session-failed eats all available CPU.
From top output:

top - 14:44:10 up 21:53,  2 users,  load average: 3.67, 2.80, 3.16
Tasks: 388 total,  16 running, 371 sleeping,   1 stopped,   0 zombie
%Cpu(s): 98.4 us,  1.0 sy,  0.0 ni,  0.0 id,  0.0 wa,  0.5 hi,  0.2 si,  0.0 st
KiB Mem :  8087684 total,   161220 free,  4558924 used,  3367540 buff/cache
KiB Swap: 10490580 total,  9580132 free,   910448 used.  2650716 avail Mem 
  scroll coordinates: y = 1/388 (tasks), x = 1/12 (fields)
  PID USER      PR  NI    VIRT    RES    SHR S  %CPU %MEM     TIME+ COMMAND                                                                                              
 4173 gdm       20   0     340      0      0 R  96.8  0.0   8:39.55 /usr/libexec/gnome-session-failed                                                                    
 4172 gdm       20   0     340      0      0 R  95.1  0.0   8:39.75 /usr/libexec/gnome-session-failed                                                                    
 4796 tkloczko  20   0     340      0      0 R  14.2  0.0   0:45.27 /usr/libexec/gnome-session-failed --allow-logout                                                     
 4775 tkloczko  20   0     340      0      0 R  13.9  0.0   0:46.24 /usr/libexec/gnome-session-failed --allow-logout                                                     
 4788 tkloczko  20   0     340      0      0 R  13.9  0.0   0:46.53 /usr/libexec/gnome-session-failed --allow-logout                                                     
 4792 tkloczko  20   0     340      0      0 R  13.9  0.0   0:44.56 /usr/libexec/gnome-session-failed --allow-logout                                                     
 4794 tkloczko  20   0     340      0      0 R  13.9  0.0   0:45.70 /usr/libexec/gnome-session-failed --allow-logout                                                     
 4798 tkloczko  20   0     340      0      0 R  13.9  0.0   0:45.33 /usr/libexec/gnome-session-failed --allow-logout                                                     
 4799 tkloczko  20   0     340      0      0 R  13.9  0.0   0:46.76 /usr/libexec/gnome-session-failed --allow-logout                                                     
 4801 tkloczko  20   0     340      0      0 R  13.9  0.0   0:46.49 /usr/libexec/gnome-session-failed --allow-logout                                                     
 4803 tkloczko  20   0     340      0      0 R  13.9  0.0   0:45.44 /usr/libexec/gnome-session-failed --allow-logout                                                     
 4806 tkloczko  20   0     340      0      0 R  13.9  0.0   0:44.52 /usr/libexec/gnome-session-failed --allow-logout                                                     
 4821 tkloczko  20   0     340      0      0 R  13.6  0.0   0:46.25 /usr/libexec/gnome-session-failed --allow-logout                             


Temporary as workaround after login I'm using "killall -STOP gnome-session-failed".

# rpm -qf /usr/libexec/gnome-session-failed -i | egrep "Install|Version|Release|Name"
Name        : gnome-session
Version     : 3.23.2
Release     : 2.fc26
Install Date: Thu 13 Oct 2016 07:19:28 BST

Because last upgrade of the gnome-session was more than two months ago looks like some library used by gnome-session-failed is causing this behavior.
However I've been trying strace any of those processes and seems like they are stuck in own activity:
Example:

# killall -CONT gnome-session-failed
# strace -p 4801
strace: Process 4801 attached
strace: [ Process PID=4801 runs in x32 mode. ]
^Cstrace: Process 4801 detached

Comment 1 Tomasz Kłoczko 2017-02-06 04:03:57 UTC
Seems problem gone after last update


Note You need to log in before you can comment on or make changes to this bug.